#coding=utf-8

import django_filters

from models import Warehouse
from apps.product.models import ProductBase

class WarehouseFilter(django_filters.FilterSet):
    is_default = django_filters.CharFilter(name='is_default')
    enabled = django_filters.CharFilter(name='enabled')
    type = django_filters.ChoiceFilter(choices=ProductBase.TYPE_CHOICES, name='type')

    class Meta:
        model = Warehouse
        fields = '__all__'